> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

> 
Update the name of an existing agent.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json patch /api/v2/projects/{project_id}/agents/{agent_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agents/{agent_id}:
    patch:
      tags:
        - Agents
      summary: Update Agent
      description: |-

        Update the name of an existing agent.
      operationId: patch_update_agent
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
              required:
                - name
              title: UpdateAgentRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                required:
                  - id
                  - name
                title: AgentInfo
                type: object
          description: 'AgentInfo(id: uuid.UUID, name: str)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````